#
# spec file for package mt_st (Version 0.7)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           mt_st
Version:        0.7
Release:        436.8.12
License:        GPL v2 or later
Group:          Productivity/Archiving/Backup
Provides:       mt-st 
AutoReqProv:    on
Summary:        mt-st Controls Magnetic Tape Drives
Source:         ftp://ftp.ibiblio.org/pub/Linux/system/backup/mt-st-%{version}.tar.gz
#Source2:	mt-st-%{version}.lsm
Patch:          mt-st-%{version}.diff
Patch1:         mt-st-1.1-new-ids.diff
Patch2:         mt-st-1.1-verbose.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Although this mt program (called mtst) is tailored for SCSI tape
drives, it can also be used with the QIC-02 driver and hopefully with
other Linux tape drivers that use the same ioctls (some of the commands
may not work with all drivers). The stinit program allows the setting
of some SCSI tape parameters.



Authors:
--------
    Kai Makisara <Kai.Makisara@metla.fi>

%prep
%setup -n mt-st-%{version}
%patch -p1
%patch1
%patch2

%build
    make CFLAGS="$RPM_OPT_FLAGS"

%install
    make install DESTDIR=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT%{_mandir}

%files
#%docdir %attr(755,root,root) %{_defaultdocdir}/%{name}
%defattr(-,root,root)
%doc README README.stinit stinit.def.examples
%attr(755,root,root) /usr/bin/mtst
%attr(755,root,root) /usr/sbin/stinit
%doc %attr(644,root,root) %{_mandir}/man1/mtst.1.gz
%doc %attr(644,root,root) %{_mandir}/man8/stinit.8.gz

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/mt-st-%{version}

%changelog
* Mon Aug  3 2009 pth@suse.de
- Add two patches from lchiquitto for SP3:
  * Add some tape IDs from mt-st-1.1 (bnc#523611)
  * Don't print warnings when devices in stinit.def are not found
    (bnc#523611)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 schwab@suse.de
- Don't strip binaries.
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Tue Nov 27 2001 garloff@suse.de
- Use %%attr and remove -m -o -g from install to allow building
  as non-root.
* Tue Nov 27 2001 garloff@suse.de
- Update to mt-st-0.7:
  * eject alias for rewoffl (GNU mt compat)
  * some new density codes
  * cleaning status and request handling
* Fri Dec  1 2000 garloff@suse.de
- Update to mt-st-0.6; including osst (OnStream) support.
* Sat May 27 2000 garloff@suse.de
- Add some docu
- Use BuildRoot.
* Sat Feb  5 2000 garloff@suse.de
- Move manpages to /usr/share/man
* Tue Jan  4 2000 garloff@suse.de
- upgrade to 0.5b (including stinit).
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
